/*

re:style.css
*/

.red {
    background-color: #ed190d !important;
}
.red-text,
.input-field div.error {
  color: #c00 !important;
  font-size: 1.1rem !important;
  font-weight: bold !important;
}

h1 {
  font-size: 1.8rem;
  font-weight: bold;
  text-align: center;
  margin-top: 2rem;
}
h2 {
  font-size: 1.7rem;
  font-weight: bold;
  text-align: left;
  margin-top: 3rem;
  margin-bottom: 1rem;
  line-height: 130%;
  border-bottom: dashed 1px rgb(204, 204, 204);
}
h2.notice {
  font-size: 1.4rem;
  font-weight: normal;
  text-align: left;
  margin-top: 3rem;
  margin-bottom: 1rem;
  line-height: 110%;
  border-bottom: none;
}
h3 {
  margin: 0;
  font-weight: bold !important;
}

.flow-text {
  font-size: 1.2rem;
}

.flow-text-105 {
  font-size: 1.05rem;
}

@media only screen and (max-width: 600px) {
    .long-btn-text {
      font-size: 0.6rem;
    }
}
.card-panel {
  margin-bottom: 1.4rem !important;
  box-shadow: 0 1px 2px 0 rgba(0,0,0,0.16), 0 1px 1px -2px rgba(0,0,0,0.19), 0 0px 6px 0 rgba(0,0,0,0.6);
}

.card-panel-red {
  margin-bottom: 1.4rem !important;
  padding: 24px;
    border: 1px;
    border-style: solid;
    border-color: #ff0000;
    color: #ff0000;
}

.modal .modal-footer {
  text-align: center !important;
}

.input-field .prefix {
  top: 1rem;
}
.row > .buttom-wrap > button,
.row > button {
  margin-top: .5rem;
}

.s12.buttom-wrap {
  display: flex;
}
.buttom-wrap > button:nth-child(2) {
  margin-left: 1rem !important;
}

.row.buttom-wrap .col.s4 {
  margin-left:0;
}

.label-font-small{
  font-size: 80%;
}

.just-center {
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
}

#agreement {
  margin-bottom: 2rem !important;
}

/* ヘルプリンク */
.help_link {
  margin-left: 1em;
}

.help_link .modal-trigger {
  padding-left: 1.6rem;
  position: relative;
}

h3 .help_link {
  font-size: 1rem;
  font-weight: 400;
}
h3 .help_link i.material-icons {
  font-size: 1.5rem;
  top: 0;
  left: 0;
  position: absolute;
}

@media only screen and (max-width: 600px) {
    .help_link {
      margin-left: 0;
    }
}

/* 必須 */
.required {
  color: #c00 !important;
  font-weight: bold;
  margin-left: -.5rem;
}

/* 文字種 */
.charactertype {
  font-weight: normal;
}

/* 入力項目 注意文言 */
.remarks {
  margin-left: 0;
}
/* 入力項目 注意文言 */
.remarks- {
  margin-left: -.5rem;
}

/* 左右padding調整 */
.row .col .col {
  padding: 0;
}

/* 入力周り */
.input-field {
  margin-top: 0 !important;
}

input {
  font-size: 1.4rem !important;
}

[type="radio"]:not(:checked)+span, [type="radio"]:checked+span {
  font-size: 1.3rem;
}
/*.input-field div.error {
  position: absolute;
  top: 2.5rem;
}*/

.modify {
  background: #3399cc;
}

.input-field>label:not(.label-icon).active {
  -webkit-transform: translateY(-20px) scale(1);
  transform: translateY(-20px) scale(1);
}
.show-sp {
    display: none;
}

.select-wrapper+label {
  top: -30px;
}
.input-field .select-wrapper div.error {
  position: absolute;
  top: 36px;
}
.input-field .select-wrapper div.error.street-error {
  position: absolute;
  top: 56px;
}

/* 郵便番号、電話番号の上下アキ調整 */
#telephone .input-field,
.valign-wrapper .input-field {
  margin-bottom: 0;
}

/* 住所選択セレクトボックス調整 */
#addressForServiceArea .row,
#addressJisCodes .row {
  margin-bottom: 2rem;
}

/* ボタンセンター配置のための矯正 */
.oneBtnCenter {
  margin-left: initial !important;
  float: none !important;
}
@media all and (-ms-high-contrast: none) {
  .oneBtnCenter {
    margin-left: 0 !important;
    /* IE10 以降にのみ適用される */
  }
}

/* 建物形態（詳細） */
#apartmentInfoArea2 div.input-field.col.s12,
#apartmentInfoArea div.input-field.col.s12 {
  margin-top: -0.4rem;
}
@media only screen and (min-width: 601px) {
  /* 建物形態（詳細） */
  #apartmentInfoArea2 div.input-field.col.s12,
  #apartmentInfoArea div.input-field.col.s12 {
    margin-top: -0.5rem;
  }
  .show-pc {
    display: inline;
  }
}
@media only screen and (max-width: 600px) {
  .show-sp {
    display: inline;
  }
  .show-pc {
    display: none;
  }
}

/* 店番号エラー表示ズレ回避 */
#payerTypeArea #storeNumber-error {
  left: auto;
}

/*
.representativeCustomerNumberError.error {
  margin-bottom: 1rem;
}*/

/*
confirm
*/
.confirm dl {
  margin: 0;
  border-bottom: 1px solid rgba(0,0,0,0.12);
}
.confirm dl dt {
  font-weight: normal;
}

.confirm dl dt,
.confirm dl dd {
  padding: 15px 0 !important;
  font-size: 15px !important;
  padding: 15px 0 10px !important;
  word-break: break-all;

}

@media only screen and (max-width: 600px) {
  .confirm dl {
    border-bottom: 0;
  }
  .confirm dl dt {
    background: rgba(0,0,0,0.12);
  }
  .confirm dl dt,
  .confirm dl dd {
    padding: 5px !important;
    padding-left: 1rem !important;
    padding-right: 1rem !important;
    border-bottom: 1px solid rgba(0,0,0,0.12);
  }
  .confirm .customer h3,
  .confirm .status h3 {
    margin-bottom: 1rem;
  }

}

@media only screen and (min-width: 748px) {
  .row .col.offset-m2 {
    margin-left: 16.6666666667%;
  }
  .row .col.m10 {
    width: 83.3333333333%;
    left: auto;
    right: auto;
  }
}

@media only screen and (max-width: 747px) {
  .row .col.s12 {
    width: 100%;
    margin-left: auto;
    left: auto;
    right: auto;
  }
  .row .col {
    float: left;
    box-sizing: border-box;
    padding: 0 .75rem;
    min-height: 1px;
  }
}

/*
top

.fileupload ul li,
.cautionread ul li {
  text-indent: -1em;
  margin-left: 1em;
}*/

/* file upload */
.fileupload .file-field .btn-large {
  height: 54px;
  line-height: 54px;
}

.fileupload #messageArea {
  font-size: 1.2em;
  color: #ed190d;
  font-weight: bold;
}

.fileupload .registered_content {
  font-size: 1rem !important;
}
.fileupload .registered_box {
  max-height: 24rem;
  overflow-y: scroll;
}
@media print {
  .fileupload .registered_box {
    max-height: none !important;
    overflow-y: visible !important;
  }
}
.fileupload .registered_box ul {
  font-size:0px;
}
.fileupload .registered_box li {
  display: inline-block;
  width: auto;
  background: #eee;
  text-indent: 0;
  margin-left: 0;
  padding: 10px;
  margin: 0 10px 10px 0;
}
@media only screen and (max-width: 600px) {
  .register .buttom-wrap > button,
  .fileupload .buttom-wrap > button {
    height: auto !important;
    line-height: 1.5;
    padding: .75rem;
  }
}
/* 注記記載まとめ */
.note ul li {
  margin-bottom: .6rem;
}
.note ul li:last-child {
  margin-bottom: 0;
}
.note ul li > ul li {
  margin-bottom: .3rem;
}

.note .caution {
  text-indent: -1em;
  margin-left: 1em;
  margin-top: .5rem;
  font-size: .9rem;
  font-weight: bold;
  color: #c00;
}

.scroll {
    height: 300px;
    overflow-y: scroll;
}

/* upload-registered,registerフッタボタン調整 */
@media only screen and (min-width: 601px) {
  .row button.col.m4 {
    margin-left: 0;
  }
}


.mb-0 {margin-bottom: 0 !important;}
.mb-1 {margin-bottom: 1rem !important;}
.mb-2 {margin-bottom: 2rem !important;}
.mt-0 {margin-top: 0 !important;}
.mt-1 {margin-top: 1rem !important;}
.mt-2 {margin-top: 2rem !important;}
.mr-1rem {margin-right: 1rem !important;}
.mb-01rem {margin-bottom: 0.1rem !important;}

.pb-0 {padding-bottom: 0 !important;}
.pb-01rem {padding-bottom: 0.1rem !important;}
.pt-0 {padding-top: 0 !important;}
